API ReferenceAssigned Task User
Updates the AssignedTaskUser resource
PATCH
Updates the AssignedTaskUser resource
apiKeyheader
Authorization<token>Value for the Authorization header parameter.
id*stringAssignedTaskUser identifier
The updated AssignedTaskUser resource
- body
role?stringValue in
"none""leader-active"AssignedTaskUser resource updated
- response
id?stringFormat
uuidprojectUser?timePlanned?|Default
0role?stringValue in
"none""leader-active"curl -X PATCH 'https://app.icproject.com/api/instance/demo/project/assigned-task-users/string' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "projectUser": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "shortCode": "string", "firstName": "string", "lastName": "string", "email": "string", "pictureSm": "string", "pictureLg": "string", "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7", "contractorName": "string", "canLogIn": true, "phoneNumber": "string", "jobPositionName": "string", "hourlyRate": null, "isExternal": true, "decorator": "string" }, "timePlanned": 0, "role": "none"}